SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000197SiT!triggerspublic2008-10-28 15:422008-11-21 17:26
Reporterkieran 
Assigned Tokieran 
PriorityhighSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.40Fixed in Version3.40 
Summary0000197: Replace brackets in trigger rules
DescriptionWe allowed brackets in triggers for logic reasons. A (far-fetched but possible) side-effect of this is someone could post their own form to avoid the lack of input and specify some functions to execute in the check.

For 3.40 we will remove the brackets buttons for input, str_replace() any brackets from checks and write an upgrade function to remove them from any existing checks.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0000143)
kieran (administrator)
2008-10-28 15:43

18:08 < ericthefish> can do UPDATE `triggers` SET `checks` = REPLACE(`checks`, '(', '');
18:08 < ericthefish> and for the other bracket too I guess
User avatar (0000144)
kieran (administrator)
2008-10-28 15:47

This can wait until after beta if needed.
User avatar (0000148)
kieran (administrator)
2008-10-29 15:44

fixed in trunk r4098.

- Issue History
Date Modified Username Field Change
2008-10-28 15:42 kieran New Issue
2008-10-28 15:42 kieran Status new => assigned
2008-10-28 15:42 kieran Assigned To => kieran
2008-10-28 15:43 kieran Note Added: 0000143
2008-10-28 15:47 kieran Note Added: 0000144
2008-10-29 15:44 kieran Note Added: 0000148
2008-10-29 15:44 kieran Status assigned => resolved
2008-10-29 15:44 kieran Resolution open => fixed
2008-10-29 15:44 kieran Fixed in Version => 3.40
2008-11-21 17:26 kieran Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker